@ECHO OFF
REM This script deletes replay files that make BWChart v1.04 crash
REM Script created by Anderson R. Tavares <anderson at dcc dot ufmg dot br>

REM Credits:
REM - People who detected the bad replay files:
REM   Amanda Santos
REM   Evandro Lucas
REM   Otávio Silva
REM   Pedro Neves

REM - Routine for deleting files from file list: 
REM   http://superuser.com/questions/355584/how-to-delete-files-from-a-folder-using-a-list-of-file-names-in-windows#355592

ECHO "Deleting bad replays in PvP"
for /f "delims=" %%f in (badreplaysPvP.txt) do del "PvP\%%f"

ECHO "Deleting bad replays in PvT"
for /f "delims=" %%f in (badreplaysPvT.txt) do del "PvT\%%f"

ECHO "Deleting bad replays in PvZ"
for /f "delims=" %%f in (badreplaysPvZ.txt) do del "PvZ\%%f"

ECHO "Deleting bad replays in TvT"
for /f "delims=" %%f in (badreplaysTvT.txt) do del "TvT\%%f"

ECHO "Deleting bad replays in TvZ"
for /f "delims=" %%f in (badreplaysTvZ.txt) do del "TvZ\%%f"

ECHO "Deleting bad replays in ZvZ"
for /f "delims=" %%f in (badreplaysZvZ.txt) do del "ZvZ\%%f"
